/*
 * last modified---
 * 	04-30-15/jet/ Spark plugin version
 * 	01-22-15/jet/ new
 *
 * purpose---
 * 	provide an ABC-specific version of the generic SVM WorkPane class
 */

package org.silentvault.spark.ui.svm.abc;

import javax.swing.*;
import java.awt.Font;
import java.awt.event.ActionEvent;

import org.jivesoftware.spark.util.log.Log;

import org.silentvault.spark.WalletClient;
import org.silentvault.spark.ui.svm.*;


/**
 * Extends svm.WorkPane to provide a base screen for doing ABC-related I/O.
 * This class will never be used directly, but subclasses of it will be
 * swapped into the AHomePane by the ATabManager, which can be invoked by
 * messaging callbacks.
 *
 * @author Justin Turrell
 */
public class AWorkPane extends WorkPane {
	// BEGIN data members

	// END data members
	
	// BEGIN methods
	/**
	 * constructor
	 * @param plugin the owning plugin or application
	 * @param home the AHomePane in which we're installed
	 * @param mgr the tab manager which created us
	 */
	public AWorkPane(WalletClient plugin, AHomePane home, ATabManager mgr) {
		super(plugin, home, mgr);

		// define a return to menu action and button, for installation into the
		// m_WorkBar in subclasses

		AbstractAction goMain = new AbstractAction("Back to Holdings") {
			public void actionPerformed(ActionEvent actionEvent) {
				// switch to main overview screen
				m_TabManager.queueTransition(
													new Integer(MTabManager.M_GO_MAIN_MENU));
				m_TabManager.makeTransition();
			}
		};
		m_MainButton = new JButton(goMain);
		m_MainButton.setToolTipText("Return to holdings menu");
		m_MainButton.setFont(m_TabManager.M_ButtonFont);
	}

	/**
	 * method to be overridden by subclasses, to prepare display in whatever
	 * ways might be required (for example, by making the menu bar visible or
	 * setting the contents)
	 */
	public void prepDisplay() {
		Log.error("Base class prepDisplay() should not be called");
	}

	// END methods
}
